Apply an update to multiple nodes at once

View as Markdown
Apply the same updates to multiple nodes in a simulation at once. Note: `simulation` and `node_ids` are fields in the payload. If you need to update the `pos_x` or `pos_y` fields of multiple nodes at once, please use the UI `update-graph` endpoint instead. **Required scope:** `air:simulation_edit` (roles: `air_org_admin`, `air_user`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
simulationstringOptionalformat: "uuid"

The simulation the nodes belong to; this is required.

node_idslist of stringsOptional

The ids of the nodes to update; this is required.

imagestringOptionalformat: "uuid"
The image representing the operating system of the node.
memoryintegerOptional>=1024
RAM, in MiB.
storageintegerOptional>=10
Disk space, in GB.
cpuintegerOptional>=1
Number of CPU cores.
console_usernamestringOptional1-8 characters
The username used when signing into a node using the Web UI console.
console_passwordstringOptional1-8 characters
The password used when signing into a node using the Web UI console as well as the VNC console.
labelsobjectOptional

Labels which can be specified on the node. Fields not specified in the payload schema will be completely ignored. If updating, the data provided will completely replace existing labels: attempting to PATCH specific labels will delete the other labels.

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error